LLVM-EXTRACT(1)

NAME
llvm-extract - extract a function from an LLVM module

SYNOPSIS
llvm-extract [options] --func function-name [filename]

DESCRIPTION
The llvm-extract command takes the name of a function and extracts it from the specified LLVM bitcode file. It is primarily used as a debugging tool to reduce test cases from larger programs that are triggering a bug.

In addition to extracting the bitcode of the specified function, llvm-extract will also remove unreachable global variables, prototypes, and unused types.

The llvm-extract command reads its input from standard input if filename is omitted or if filename is -. The output is always written to standard output, unless the -o option is specified (see below).

OPTIONS

-f  Force overwrite. Normally, llvm-extract will refuse to overwrite an output file that already exists. With this option, llvm-extract will overwrite the output file and replace it with new bitcode.

--func function-name
    Extract the function named function-name from the LLVM bitcode.

--help
    Print a summary of command line options.

-o filename
    Specify the output filename. If filename is "-" (the default), then llvm-extract sends its output to standard output.

EXIT STATUS
If llvm-extract succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value.

SEE ALSO
bugpoint

AUTHORS
Maintained by the LLVM Team (<http://llvm.org>).